Loading...
Searching...
No Matches
cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >::Node Class Reference

A smart pointer to a tree item. More...

`#include <avl_set>`

Collaboration diagram for cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >::Node:

## Public Member Functions

| Node ()
| Default construction for NIL pointer.
Item_type const & | operator* ()
| Dereference the pointer.
Item_type const * | operator-> ()
| Dereferenced member access.
bool | valid () const
| Validity check.
| operator Item_type const * ()
| Cast to a real item pointer.

## Detailed Description

template<typename ITEM_TYPE, class COMPARE, template< typename A > class ALLOC, typename GET_KEY>
class cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >::Node

A smart pointer to a tree item.

Definition at line 172 of file avl_set.

## Member Function Documentation

## operator*()

template<typename ITEM_TYPE, class COMPARE, template< typename A > class ALLOC, typename GET_KEY>

Item_type const & cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >::Node::operator* | ( |  | ) |

inline

Dereference the pointer.

Precondition
  Node is valid.

Definition at line 189 of file avl_set.

## operator->()

template<typename ITEM_TYPE, class COMPARE, template< typename A > class ALLOC, typename GET_KEY>

Item_type const * cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >::Node::operator-> | ( |  | ) |

inline

Dereferenced member access.

Precondition
  Node is valid.

Definition at line 195 of file avl_set.

## valid()

template<typename ITEM_TYPE, class COMPARE, template< typename A > class ALLOC, typename GET_KEY>

bool cxx::Bits::Base_avl_set< ITEM_TYPE, COMPARE, ALLOC, GET_KEY >::Node::valid | ( |  | ) | const

inline

Validity check.

Returns
  false if the pointer is NIL, true if valid.

Definition at line 201 of file avl_set.

The documentation for this class was generated from the following file:

- l4/cxx/avl_set